org.apache.velocity.tools.view

## Class AbstractSearchTool.StoredResults

- java.lang.Object
- - org.apache.velocity.tools.view.AbstractSearchTool.StoredResults

All Implemented Interfaces:
  Serializable

Enclosing class:
  AbstractSearchTool

    public static class AbstractSearchTool.StoredResults
    extends Object
    implements Serializable

Simple utility class to hold a criterion and its result list.

This class is by default stored in a user's session, so it implements Serializable, but its members are transient. So functionally, it is not serialized and the last results/criteria will not be persisted if the session is serialized.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StoredResults(Object crit, List list)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getCriteria()`
`List` `getList()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StoredResults

    public StoredResults(Object crit,
                         List list)

Creates a new instance.

Parameters:
  `crit` - the criteria for these results
  `list` - the `List` of results to store

### Method Detail

#### getCriteria

    public Object getCriteria()

Returns:
  the stored criteria object

#### getList

    public List getList()

Returns:
  the stored `List` of results